IR.AddListener(IR.EVENT_ITEM_RELEASE, IR.GetItem("ClockList").GetItem("BtnAdd"),function (){
  //начальные значения при отображении
  var IDClock = 1;
  var nameClock = "Будильник";
  var hourClock = 12; 
  var minClock = 12;
  var statusClock = 1;

  // Инициализируем Барабан
  СreatePickerItems(IR.GetItem("Remote"));

  // Показываем попап
  IR.ShowPopup("Remote");
  IR.GetItem("Remote").GetItem("Header").Text = nameClock; //записываем имя будильника из БД
  
  // Функция СreatePickerItems, можем задать интервал значений или массив Items 
  function СreatePickerItems(in_oRemotePopup) {
    var _Left = in_oRemotePopup.GetItem("_Left");
    var _Right = in_oRemotePopup.GetItem("_Right");

    var LeftPicker = in_oRemotePopup.CreateItem(IR.ITEM_PICKER, "leftPicker", {
      X: _Left.X - 15, 
      Y: _Left.Y + 0,
      Min: 0, // Интервал
      Max: 24, // Интервал
      VisibleCount: 3, //3,5,7,...
      Template: IR.GetPopup("Template Picker")
    });

    LeftPicker.Y = in_oRemotePopup.GetItem("backPicker left").Y + 0;
    LeftPicker.Height = in_oRemotePopup.GetItem("backPicker left").Height - 0;

    var RightPicker = in_oRemotePopup.CreateItem(IR.ITEM_PICKER, "rightPicker", {
      X: _Right.X - 15,
      Y: _Right.Y + 0,
      Min: 0, // Интервал
      Max: 59, // Интервал
      VisibleCount: 3, //3,5,7,...
      Template: IR.GetPopup("Template Picker")
    });

    RightPicker.Y = in_oRemotePopup.GetItem("backPicker right").Y + 0;
    RightPicker.Height = in_oRemotePopup.GetItem("backPicker right").Height - 0;
  }

  //Задаём начальные позиции барабанов
  var _left = IR.GetItem("Remote").GetItem("leftPicker");
  var _right = IR.GetItem("Remote").GetItem("rightPicker");

  _left.Position = hourClock-1; // Устанавливаем начальное значение или текущее значение часов из БД
  _right.Position = minClock-1;// Устанавливаем начальное значение или текущее значение минут из БД

  // Получаем значения при нажатии на кнопку
  IR.AddListener(IR.EVENT_ITEM_RELEASE, IR.GetItem("Remote").GetItem("Done"), function(){
    nameClock = IR.GetItem("Remote").GetItem("Header").Text;
    hourClock = parseInt(_left.Value); // Часы
    minClock = parseInt(_right.Value); // Минуты
    statusClock = IR.GetItem("Remote").GetItem("statusClock").Value;
    IR.HidePopup("Remote"); 
      
    IR.Log(nameClock + " "+hourClock+":"+minClock+ " Status: "+statusClock); // Выводим в лог
  }); 


});
